# vim: set sw=4 ts=4 et nu:

Name:           perl-Gtk2-Notify
Version:        0.05
Release:        3.2
Summary:        Perl interface to libnotify
Source:         http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Gtk2-Notify-%{version}.tar.gz
Patch0:         Gtk2-Notify-libnotify-0.7.patch
URL:            http://search.cpan.org/dist/Gtk2-Notify
Group:          Development/Libraries/Perl
License:        LGPL-2.0+
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
#BuildRequires:  perl-macros <- Sorry perl-macros, can't let you break the build
BuildRequires:  make
BuildRequires:  perl(Gtk2::CodeGen)
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Gtk2)
BuildRequires:  libnotify-devel
BuildRequires:  make gcc gtk2-devel pkgconfig
Requires:       perl(Gtk2)

%description
Perl bindings for the notification library in GTK2.

%prep
%setup -q -n "Gtk2-Notify-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL
%if 0%{?suse_version} > 1140
%patch0 -p0
%endif

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%__rm -rf "%{buildroot}%{perl_vendorarch}/Gtk2/Notify/Install"
%__rm -rf "%{buildroot}%{perl_vendorarch}/Gtk2/Notify/index.pod"
%perl_process_packlist

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/Gtk2
%doc %{perl_vendorarch}/Gtk2/Notify.pod
%{perl_vendorarch}/Gtk2/Notify.pm
%dir %{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/auto/Gtk2/Notify
%doc %{perl_man3dir}/Gtk2::Notify.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Gtk2::Notify::index.%{perl_man3ext}%{ext_man}

%changelog
* Wed Mar  6 2013 fisiu@opensuse.org
- Add Gtk2-Notify-libnotify-0.7.patch: fix bug #67467
  https://rt.cpan.org/Public/Bug/Display.html?id=67467
* Tue Mar 15 2011 pascal.bleser@opensuse.org
- initial version (0.05)
